# Uses of Enum Class
org.bukkit.event.player.PlayerKickEvent.Cause

Packages that use PlayerKickEvent.Cause
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerKickEvent.Cause in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type PlayerKickEvent.Cause
Modifier and Type
Method
Description
`void`
Player.`kick(@Nullable Component message, PlayerKickEvent.Cause cause)`
Kicks player with custom kick message and cause.

## Uses of PlayerKickEvent.Cause in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerKickEvent.Cause
Modifier and Type
Method
Description
`PlayerKickEvent.Cause`
PlayerKickEvent.`getCause()`
Gets the cause of this kick
`static PlayerKickEvent.Cause`
PlayerKickEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerKickEvent.Cause[]`
PlayerKickEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.player with parameters of type PlayerKickEvent.Cause
Modifier
Constructor
Description
``
`PlayerKickEvent(@NotNull Player playerKicked, Component kickReason, Component leaveMessage, @NotNull PlayerKickEvent.Cause cause)`